/*
 * PSC Changes Copyright (c) 1996 Pittsburgh Supercomputing Center,
 *                     Jeff Semke, Matt Mathis, and Jamshid Mahdavi 
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms are permitted
 * provided that the above copyright notice and this paragraph are
 * duplicated in all such forms and that any documentation,
 * advertising materials, and other materials related to such
 * distribution and use acknowledge that the modifications to this
 * software were developed by the Pittsburgh Supercomputing Center.
 * The name of the Center may not be used to endorse or promote
 * products derived from this software without specific prior written
 * permission.  THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY
 * EXPRESS OR IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE
 * IMPLIED WARRANTIES OF MERCHANTIBILITY AND FITNESS FOR A PARTICULAR
 * PURPOSE. 
 *
 * @(#) $Header: scoreboardrh.h,v 1.2 97/03/21 16:53:36 kfall Exp $ (LBL)
 */

//  Definition of the scoreboard class:

#include "scoreboard.h"

#define SBSIZE 1024

class ScoreBoardRH : public ScoreBoard {
  public:
        ScoreBoardRH() { fack_ = -1; };
	int GetNextRetran ();
	int UpdateScoreBoard (int last_ack_, int maxseq_, Packet *pkt);
	int GetFack() { return fack_; }
	void SetFack(int fack) { fack_ = fack; }
	
  protected:
	int fack_;
};

